### Function

# Gimp ConfigWriter new_from_stream

#### Declaration [src]

    GimpConfigWriter*
    gimp_config_writer_new_from_stream (
      GOutputStream* output,
      const gchar* header,
      GError** error
    )

#### Description [src]

Creates a new `GimpConfigWriter` and sets it up to write to `output`.

Available since: | 2.10

#### Parameters

`output` | `GOutputStream`
| A `GOutputStream`.
| The data is owned by the caller of the function.
`header` | `const gchar*`
| Text to include as comment at the top of the file.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GimpConfigWriter`
| A new `GimpConfigWriter` or `NULL` in case of an error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.